{
    "editor.insertSpaces": true,
    "editor.detectIndentation": true,
    "eslint.workingDirectories": [
        "client",
    ],
    "eslint.format.enable": true,
    "editor.formatOnSave": true,
    "[typescript]": {
        "editor.defaultFormatter": "dbaeumer.vscode-eslint"
    },
    "[typescriptreact]": {
        "editor.defaultFormatter": "dbaeumer.vscode-eslint"
    },
    "[javascript]": {
        "editor.defaultFormatter": "vscode.typescript-language-features"
    },
    "[jsonc]": {
        "editor.defaultFormatter": "vscode.json-language-features"
    },
    "[json]": {
        "editor.defaultFormatter": "vscode.json-language-features"
    },
    "jest.rootPath": "client",
    "eslint.alwaysShowStatus": false,
    "python.linting.mypyArgs": [
        "--follow-imports=silent",
        "--ignore-missing-imports",
        "--show-column-numbers",
        "--no-pretty",
        "--mypy_path=${workspaceFolder}/server"
    ]
}